=== debian/changelog ===
linux-fsl-imx51 (2.6.28-19.61fsl1sendai25) jaunty; urgency=low

  [ Upstream Kernel Changes ]

  * sendai: increase the sdhci cmd timeout and change the internal
    version
    - LP: #735223

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 28 Apr 2011 16:42:20 +0800

linux-fsl-imx51 (2.6.28-19.61fsl1sendai24) jaunty; urgency=low

  [ Upstream Kernel Changes ]

  * Sendai: pmic: Fix battery discharge when working
    - LP: #651816
  * Sendai: update Sharp version string
    - LP: #651816

 -- Ike Panhc <ike.pan@canonical.com>  Wed, 06 Oct 2010 16:07:29 +0800

linux-fsl-imx51 (2.6.28-19.61fsl1sendai23) jaunty; urgency=low

  [ Ike Panhc ]

  * Update ABI

 -- Ike Panhc <ike.pan@canonical.com>  Mon, 19 Jul 2010 22:05:02 +0800

linux-fsl-imx51 (2.6.28-19.61fsl1sendai22) jaunty; urgency=low

  [ Ike Panhc ]

  * (buildenv) let linux-image depends on wifi module

 -- Ike Panhc <ike.pan@canonical.com>  Fri, 16 Jul 2010 13:57:45 +0800

linux-fsl-imx51 (2.6.28-19.61fsl1sendai21) jaunty; urgency=low

  [ Ike Panhc ]

  * Revert "(buildenv) Dont check for privous ABI/module"
  * Sendai: oj6sh: add new driver
  * Sendai: mxc_pwm: add new driver
  * Sendai: mxcfb_sharp_wsvga: add new driver
  * Sendai: splash: add default splash bitmap
  * Sendai: spi_nor: add new driver
  * Sendai: mmc: reset MMC IO before rescan
  * Sendai: rtc-mc13892: mxc_rtc_read_time() check TOD and DAY reg
  * Sendai: mxc_i2c: fix mxc_i2c_xfer() return error
  * Sendai: printk: Support for CONFIG_PRINTK_ERR_ONLY
  * Sendai: hid: autosuspend support for USB HID
  * Sendai: led: LED check in suspend mode
  * Sendai: sound: Only shutdown sound when its closed
  * Sendai: usb/hub: fix probrem of detect USB strage at powerup
  * Sendai: usb: stop leak current of USB VBUS at resume
  * Sendai: mxc_wdt: initialize watchdog timer before mount root file
    system
  * Sendai: backlight: LCD back light force unblank at resume time
  * Sendai: vibrator: Add new driver
  * Sendai: option: Add 3G modem IDs
  * Sendai: imx-ssi: disable audio when suspend
  * Sendai: iomux: fix exclution probrem of WLAN iomux
  * Sendai: usbhid: Fix USBHID does not work after resume
  * Sendai: usb_dr: Add suspend/resume function
  * Sendai: fec: Fix full duplex and auto-nego error
  * Sendai: hid: update ignore list
  * Sendai: nfc: Not to init
  * ENGR00113878 IPUv3:Support DP alpha blending
  * Sendai: add new platform
  * Sendai: Sync with lastest tarball (Part 1)
  * Sendai: Sync with lastest tarball (Part 2)
  * Sendai: Sync with lastest tarball (Part 3)
  * Sendai: Sync with lastest tarball (Part 4)
  * Sendai: Sync with lastest tarball (Part 5)
  * Sendai: Sync with lastest tarball (Part 6)
  * Sendai: Sync with lastest tarball (Part 7)
  * Sendai: Sync with lastest tarball (Part 8)
  * Sendai: usb: Fix resume issue
  * Sendai: fixed AMP enable/disable at mxc_sgtl5000_line_mute()
  * Sendai: Copy the kernel image to /dev/sda1
  * Sendai: Microphone Initialize bit changed
  * Sendai: Fix system hang by USB suspend/resume
    - LP: #551768
  * Sendai: update config
  * Sendai: config: enable CONFIG_SDIO_UNIFI_FS
  * Sendai: printk: lower default output level
  * Sendai: futex: Fix sometimes mouse will freeze
  * Sendai: config: Enable for headset device
  * Sendai: Add 3G modem ids part 2
  * Sendai: Fix 1st time boot will fail
  * Sendai: Fix 1st time boot will fail part 2
  * Sendai: update config
  * Sendai: add the 20100416 patches from pegatron
  * Sendai: Fix something error about usb suspend
  * Sendai: Hide cursor when booting
  * Sendai: Set IGNORE_MOVE_ to 0
  * Sendai: SPI: Resummit frame when timeout
  * Sendai: Reconfig IOMUX pins for micro sd
  * Sendai: pmic_adc: remove CONFIG_MACH_MX51_PEGA from control
    - LP: #568795
  * Sendai: oj6sh: using timer to poll gpio button status
    - LP: #568800
  * Sendai: mtd: scan BBT in the 3rd or last page
    - LP: #568808
  * Sendai: ubifs: Update filesystem
    - LP: #568808
  * Sendai: jffs2: Update filesystem
    - LP: #568808
  * Sendai: Update Sharp kernel version
    - LP: #568816
  * Sendai: APM: add custom apm settings
  * Sendai: update Sharp version string
    - LP: #569972
  * Sendai: console: keyboard event drop at con_close
    - LP: #569981
  * Sendai: ubifs: Sync ubifs codes
    - LP: #569983
  * Sendai: merge code from freescale patches
    - LP: #569985
  * Sendai: mmc: second delay 8->200 in mmc_power_up
    - LP: #569986
  * Sendai: mmc: fix microSD error when inserting/removing at suspend state
    - LP: #569987
  * Sendai: mmc: Set upper limit clock for SDIO
    - LP: #569991
  * Sendai: mxc_wdt: turn off wdt before shutdown
    - LP: #569992
  * Sendai: sgtl5000: option setting of sound
    - LP: #569995
  * Sendai: pm: using isTogHostMode to replace isAcadapter
    - LP: #572107
  * Sendai: usb: Fix mouse can not work when booting with mouse plugged
    - LP: #572107
  * Sendai: usb: Fix automatic suspend state is invalidated
    - LP: #572107
  * Sendai: update Sharp version string
    - LP: #572107
  * Sendai: Fix a new folder opened when resume with USB storage device
    plugged
    - LP: #562116
  * Sendai: Fix USB mouse becomes lagging after resume part 1
    - LP: #571721
  * Sendai: Fix USB mouse becomes lagging after resume part 2
    - LP: #571721
  * Sendai: update Sharp version string
    - LP: #571721
  * Sendai: pmic: autocharge thermistor check
    - LP: #582020
  * Sendai: pmic: disable thermister check and enable trickle charge
    - LP: #582020
  * Sendai: pmic: Turn on regulators in suspend state
    - LP: #588554
  * Sendai: pmic: Turn off regulators because of power consumption
    - LP: #588554
  * Sendai: usb: usb power controlled by host
    - LP: #588556
  * Sendai: gpio: review IOMUX settings part 1
    - LP: #588557
  * Sendai: gpio: review IOMUX settings part 2
    - LP: #588557
  * Sendai: sgtl5000: Fix sound of the left channel may not be composed
    - LP: #593518
  * Sendai: framebuffer: remove internal lcd power flag
    - LP: #593520

