=== debian/control ===
Source: linux-fsl-imx51
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [!armel]
Build-Depends-Indep: xmlto, docbook-utils, gs, transfig, bzip2, sharutils
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-jaunty.git

Package: linux-fsl-imx51-source-2.6.28
Architecture: all
Section: devel
Priority: optional
Provides: linux-fsl-imx51-source, linux-fsl-imx51-source-2.6
Depends: binutils, bzip2, coreutils | fileutils (>= 4.0)
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
Description: Linux kernel source for version 2.6.28 with Ubuntu patches
 This package provides the source code for the Linux kernel version
 2.6.28.
 .
 This package is mainly meant for other packages to use, in order to build
 custom flavours.
 .
 If you wish to use this package to create a custom Linux kernel, then it
 is suggested that you investigate the package kernel-package, which has
 been designed to ease the task of creating kernel image packages.
 .
 If you are simply trying to build third-party modules for your kernel,
 you do not want this package. Install the appropriate linux-headers
 package instead.


Package: linux-image-2.6.28-19-sendai
Architecture: armel
Section: base
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, 
Depends: initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda, csr-bt-wifi-tool (= 0.10-16-tsm9)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: flash-kernel
Suggests: fdutils, linux-fsl-imx51-doc-2.6.28 | linux-fsl-imx51-source-2.6.28
Description: Linux kernel image for version 2.6.28 on I.MX51-based systems
 This package contains the Linux kernel image for version 2.6.28 on
 I.MX51-based systems.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports I.MX51 processors.
 .
 Babbage and 3-stack boards
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sendai meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.28-19-sendai
Architecture: armel
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), ${shlibs:Depends}
Provides: linux-fsl-imx51-headers, linux-fsl-imx51-headers-2.6
Description: Linux kernel headers for version 2.6.28 on I.MX51-based systems
 This package provides kernel header files for version 2.6.28 on
 I.MX51-based systems.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-fsl-imx51-headers-2.6.28-19/debian.README.gz for details.

Package: linux-image-debug-2.6.28-19-sendai
Architecture: armel
Section: devel
Priority: optional
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.28 on I.MX51-based systems
 This package provides a kernel debug image for version 2.6.28 on
 I.MX51-based systems.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: kernel-image-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: kernel-image, crypto-modules, ext2-modules, ext3-modules, socket-modules, fat-modules
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the Linux kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nfs-modules-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: nfs-modules
Depends: kernel-image-2.6.28-19-sendai-di
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: standard
Description: NFS filesystem drivers
 Includes the NFS client driver, and supporting modules.

Package: nic-usb-modules-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: nic-usb-modules
Depends: kernel-image-2.6.28-19-sendai-di
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: standard
Description: USB network interface support

Package: crypto-modules-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: crypto-modules
Depends: kernel-image-2.6.28-19-sendai-di
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: extra
Description: crypto modules
 This package contains crypto modules.

Package: fs-core-modules-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: fs-core-modules, jfs-modules, reiserfs-modules, xfs-modules
Depends: kernel-image-2.6.28-19-sendai-di
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: standard
Description: Base filesystem modules
 This includes jfs, reiserfs and xfs.

Package: storage-core-modules-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: storage-core-modules, loop-modules
Depends: kernel-image-2.6.28-19-sendai-di
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: standard
Description: Core storage support
 Includes core SCSI, LibATA, USB-Storage. Also includes related block
 devices for CD, Disk and Tape medium (and IDE Floppy).
